Loading...
Searching...
No Matches
BALL::ExpressionParser::State Struct Reference

`#include <BALL/KERNEL/expressionParser.h>`

## Public Attributes

Size | char_count
ExpressionParser * | current_parser
const char * | buffer
SyntaxTree * | tree

## Detailed Description

Definition at line 172 of file expressionParser.h.

## Member Data Documentation

## buffer

const char* BALL::ExpressionParser::State::buffer

Definition at line 176 of file expressionParser.h.

## char_count

Size BALL::ExpressionParser::State::char_count

Definition at line 174 of file expressionParser.h.

## current_parser

ExpressionParser* BALL::ExpressionParser::State::current_parser

Definition at line 175 of file expressionParser.h.

## tree

SyntaxTree* BALL::ExpressionParser::State::tree

Definition at line 177 of file expressionParser.h.